from bolsonaro.utils import save_obj_to_pickle, load_obj_from_pickle

import os
import datetime


class ModelRawResults(object):

    def __init__(self, model_object, training_time,
        datetime, train_score, dev_score, test_score,
        train_score_base, dev_score_base,
        test_score_base, score_metric, base_score_metric):

        self._model_object = model_object
        self._training_time = training_time
        self._datetime = datetime
        self._train_score = train_score
        self._dev_score = dev_score
        self._test_score = test_score
        self._train_score_base = train_score_base
        self._dev_score_base = dev_score_base
        self._test_score_base = test_score_base
        self._score_metric = score_metric
        self._base_score_metric = base_score_metric
    
    @property
    def model_object(self):
        return self.model_object

    @property
    def training_time(self):
        return self._training_time

    @property
    def datetime(self):
        return self._datetime

    @property
    def train_score(self):
        return self._train_score

    @property
    def dev_score(self):
        return self._dev_score

    @property
    def test_score(self):
        return self._test_score

    @property
    def train_score_base(self):
        return self._train_score_base

    @property
    def dev_score_base(self):
        return self._dev_score_base

    @property
    def test_score_base(self):
        return self._test_score_base

    @property
    def score_metric(self):
        return self._score_metric

    @property
    def base_score_metric(self):
        return self._base_score_metric

    def save(self, models_dir):
        save_obj_to_pickle(models_dir + os.sep + 'model_raw_results.pickle',
            self.__dict__)

    @staticmethod
    def load(models_dir):        
        return load_obj_from_pickle(models_dir + os.sep + 'model_raw_results.pickle',
            ModelRawResults)
