#!/bin/bash
core_number=5
walltime=1:00
seeds='1 2 3 4 5'

for dataset in california_housing boston iris diabetes digits linnerud wine breast_cancer olivetti_faces 20newsgroups_vectorized lfw_pairs diamonds
do
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 2 no_normalization --extracted_forest_size_stop=0.05 --experiment_id=1 --models_dir=models/$dataset/stage2"
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 2 normalize_D --normalize_D --extracted_forest_size_stop=0.05 --experiment_id=2 --models_dir=models/$dataset/stage2"
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 2 normalize_weights --normalize_weights --extracted_forest_size_stop=0.05 --experiment_id=3 --models_dir=models/$dataset/stage2"
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 2 normalize_D_and_weights --normalize_D --normalize_weights --extracted_forest_size_stop=0.05 --experiment_id=4 --models_dir=models/$dataset/stage2"
done
